Mutex::unlock
Cond::broadcast
pthreads
PHP Manual

# The Cond class

(PECL pthreads >= 2.0.0)

## Introduction

The static methods contained in the Cond class provide direct access to Posix Condition Variables.

## Class synopsis

Cond {
/* Methods */
final public static boolean broadcast ( long `$condition` )
final public static long create ( void )
final public static boolean destroy ( long `$condition` )
final public static boolean signal ( long `$condition` )
final public static boolean wait ( long `$condition` , long `$mutex` [, long `$timeout` ] )
}

## Table of Contents

- Cond::broadcast — Broadcast a Condition
- Cond::create — Create a Condition
- Cond::destroy — Destroy a Condition
- Cond::signal — Signal a Condition
- Cond::wait — Wait for Condition

Mutex::unlock
Cond::broadcast
pthreads
PHP Manual